Package edu.wisc.game.svg

## Class SvgEcd.Point

- java.lang.Object
- - edu.wisc.game.svg.SvgEcd.Point

- All Implemented Interfaces:
    `Cloneable`
  Enclosing class:
    SvgEcd

      public static class SvgEcd.Point
      extends Object
      implements Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `x` | The "science coordinates", i.e.
    `double` | `y` | The "science coordinates", i.e.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Point​(double _x, double _y)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SvgEcd.Point` | `copy()` |
    `SvgEcd.Point` | `rawPoint()` | Converts this Point with "science" coordinates to one with raw (svg) ones
    `static void` | `setScale​(double _xRange, double _yRange)` |
    `double[]` | `svgCoord()` | In SVG coordinates of the point (with respect to the top left corner, Y going down)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

      The "science coordinates", i.e. coordinates with respect to the center of the image, with the Y axis going up

    - #### y

          public double y

      The "science coordinates", i.e. coordinates with respect to the center of the image, with the Y axis going up

  - ### Constructor Detail

    - #### Point

          public Point​(double _x,
                       double _y)

  - ### Method Detail

    - #### setScale

          public static void setScale​(double _xRange,
                                      double _yRange)

    - #### copy

          public SvgEcd.Point copy()

    - #### svgCoord

          public double[] svgCoord()

      In SVG coordinates of the point (with respect to the top left corner, Y going down)

    - #### rawPoint

          public SvgEcd.Point rawPoint()

      Converts this Point with "science" coordinates to one with raw (svg) ones